Bug 167753 - Review Request: perl-Apache-Session
Summary: Review Request: perl-Apache-Session
Status: CLOSED DUPLICATE of bug 167511
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Greg DeKoenigsberg
QA Contact: David Lawrence
URL: http://search.cpan.org/dist/Apache-Se...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-09-07 20:20 UTC by Tom "spot" Callaway
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-07 23:37:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Session/Generate/ModUsertrack.pm mod_perl 2.0.x patch. (621 bytes, patch)
2005-09-07 23:14 UTC, Chris Grau
no flags Details | Diff

Description Tom "spot" Callaway 2005-09-07 20:20:22 UTC
Spec Name or Url: http://www.auroralinux.org/people/spot/review/Maypole/perl-Apache-Session.spec
SRPM Name or Url: 
http://www.auroralinux.org/people/spot/review/Maypole/perl-Apache-Session-1.6-1.src.rpm
Description:

A persistence framework for session data.

(This is also a Maypole dependency)

Comment 1 Ville Skyttä 2005-09-07 20:38:43 UTC
Already submitted in bug 167511, which one of these stays?  

Comment 2 Steven Pritchard 2005-09-07 22:10:41 UTC
spot has some BR I don't have.  Other than that, the two are essentially
identical.  I couldn't care less.  :-)

FWIW, either way eventually somebody needs to figure out a fix for this:

Apache-Session-1.6/Session/Generate/ModUsertrack.pm:19:    my $r = Apache->request;

Comment 3 Chris Grau 2005-09-07 23:14:27 UTC
Created attachment 118577 [details]
Session/Generate/ModUsertrack.pm mod_perl 2.0.x patch.

I took a quick stab at fixing the issue with
Apache-Session-1.6/Session/Generate/ModUsertrack.pm:19.  This is untested, but
it should work for FC-4.  The patch shouldn't be applied to FC-3, since it uses
the pre-shakeup version of mod_perl and "require Apache" should still work.

Comment 4 Tom "spot" Callaway 2005-09-07 23:37:39 UTC
I'm closing this one as a dupe of 167511. I'm more than willing to let Steven
own this one. :)

*** This bug has been marked as a duplicate of 167511 ***


Note You need to log in before you can comment on or make changes to this bug.